Subject: [Fot] Hitchin' a ride

From: Mark J Bradakis <[email-masked]>
Date: Fri, 29 Mar 2013 18:44:41 -0600

So the message about the T shirts for this year's event got me thinking.
I was planning to fly back to Wisconsin for the event, but are there any
west coast folks who plan to travel through Salt Lake on I 80 that might
have room for a lazy, good for nothing freeloader to tag along?

I recall setting up something like this for the Portland, Oregon event
and then getting a bad case of shingles right before it.  Fun.

Anyway, it is still a few months out, just something to consider.

mjb.
_______________________________________________
[email-masked]

http://www.fot-racing.com

Archive: http://www.team.net/archive